<template>
  <v-text-field
    dense
    v-bind="$attrs"
    type="tel"
    prepend-icon="$sockiPhoneAlt"
    v-on="$listeners"
    @click:prepend="openUrl"
  ></v-text-field>
</template>
<script>
export default {
  methods: {
    openUrl() {
      if (
        this.$el &&
        this.$el.attributes &&
        this.$el.attributes.value &&
        this.$el.attributes.value.value
      ) {
        window.open(`tel:${this.$el.attributes.value.value}`, "phone");
      }
    }
  }
};
</script>
